apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: joblinks-cicd
    environment: prod
    system: job-ads
    team: calamari
  name: joblinks-cicd
  namespace: openshift-gitops
spec:
  destination:
    namespace: joblinks-cicd-prod
    server: https://kubernetes.default.svc
  project: calamari
  source:
    path: kustomize/overlays/prod
    repoURL: https://gitlab.com/arbetsformedlingen/joblinks/joblinks-cicd.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
